# _M.textadept.session

Session support for the textadept module.

- - -

## Fields

- - -

<a id="DEFAULT_SESSION"></a>
### `DEFAULT_SESSION` (string)

The path to the default session file.

- - -

<a id="MAX_RECENT_FILES"></a>
### `MAX_RECENT_FILES` (number)

The maximum number of files from the recent files list to save to the
  session.
  The default value is `10`.

- - -

<a id="SAVE_ON_QUIT"></a>
### `SAVE_ON_QUIT` (bool)

Save the session when quitting.
  The default value is `true` and can be disabled by passing the command line
  switch `-n` or `--nosession` to Textadept.

- - -


## Functions

- - -

<a id="load"></a>
### `load` (filename)

Loads a Textadept session file.
Textadept restores split views, opened buffers, cursor information, and
project manager details.

Parameters:

* `filename`: The absolute path to the session file to load. The default
  value is `DEFAULT_SESSION`.

Usage:

* `_M.textadept.session.load(filename)`

Return:

* `true` if the session file was opened and read; `false` otherwise.

See also:

* [`DEFAULT_SESSION`](#DEFAULT_SESSION)

- - -

<a id="prompt_load"></a>
### `prompt_load` ()

Prompts the user for a Textadept session to load.

- - -

<a id="prompt_save"></a>
### `prompt_save` ()

Prompts the user to save the current Textadept session to a file.

- - -

<a id="save"></a>
### `save` (filename)

Saves a Textadept session to a file.
Saves split views, opened buffers, cursor information, and project manager
details.

Parameters:

* `filename`: The absolute path to the session file to save. The default
  value is either the current session file or `DEFAULT_SESSION`.

Usage:

* `_M.textadept.session.save(filename)`

See also:

* [`DEFAULT_SESSION`](#DEFAULT_SESSION)

- - -


